/*
 *
 * ugly/ufile.h
 *
 * header file for misc. filename functions
 *
 * (W) by Tommy-Saftwrx in 1996
 *
 */

#ifndef UGLY_UFILE_H
#define UGLY_UFILE_H

#include "utypes.h"
#include "expstr.h"

enum fcopy_e
{
    FC_OK,                      /* sucessfull */
    FC_ERR_NoMemory,            /* out of memory */
    FC_ERR_OpenInput,           /* can't open input file */
    FC_ERR_OpenOutput,          /* can't open output file */
    FC_ERR_Read,                /* error reading input */
    FC_ERR_Write                /* error writing output */
};

typedef enum fcopy_e fcopy_t;

/*
 * external function prototypes
 */

#ifndef NOEXTERN_UGLY_UFILE_H

extern BOOL fexists(STRPTR filename);
extern LONG getfsize(STRPTR filename);

extern fcopy_t fcopy(CONSTRPTR oldname, CONSTRPTR newname);
extern fcopy_t fmove(CONSTRPTR oldname, CONSTRPTR newname);

#endif

#endif
